# frozen_string_literal: true
require "uri"

module Wayfarer
  module Routing
    # @private
    class FiletypesRule < Rule
      def initialize(types, opts = {}, &proc)
        @types = types
        super(opts, &proc)
      end

      private

      def match!(uri)
        @types.any? { |type| uri.path =~ /\.#{type}$/ }
      end
    end
  end
end
