# frozen_string_literal: true

require "uri"

module Wayfarer
  module Routing
    # @private
    class ProtocolRule < Rule
      def initialize(protocol, opts = {}, &proc)
        @protocol = protocol.to_s
        super(opts, &proc)
      end

      private

      def match!(uri)
        uri.scheme == @protocol
      end
    end
  end
end
